Browse Source

rebroadcast

David 10 năm trước cách đây
mục cha
commit
03589a1014
1 tập tin đã thay đổi với 6 bổ sung1 xóa
  1. 6 1
      server/rebroadcast.sh

+ 6 - 1
server/rebroadcast.sh

@@ -1,3 +1,8 @@
 #!/bin/bash
-kill -10 $(ps aux | grep ffmpeg | grep especificosba.com.ar | awk '{print $2}')
+PID=$(ps aux | grep ffmpeg | grep especificosba.com.ar | awk '{print $2}')
+if [ "$PID" == "" ]; then
+	echo "Not broadcasting?"
+	exit 1
+fi
+kill -10 $PID
 #pkill broadcast